Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMGuestMetrics.Record

    java.lang.Object
      com.xensource.xenapi.VMGuestMetrics.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VMGuestMetrics

    public static class VMGuestMetrics.Record

extends Object
implements Types.Record

Represents all the fields in a VMGuestMetrics

Field Summary
`Map<String,String>` | `disks` disk configuration/free space
`Date` | `lastUpdated` Time at which this information was last updated
`Boolean` | `live` True if the guest is sending heartbeat messages via the guest agent
`Map<String,String>` | `memory` free/used/total memory
`Map<String,String>` | `networks` network configuration
`Map<String,String>` | `osVersion` version of the OS
`Map<String,String>` | `other` anything else
`Map<String,String>` | `otherConfig` additional configuration
`Boolean` | `PVDriversUpToDate` true if the PV drivers appear to be up to date
`Map<String,String>` | `PVDriversVersion` version of the PV drivers
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`VMGuestMetrics.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VM_guest_metrics.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### osVersion

    public Map<String,String> osVersion

  version of the OS

### PVDriversVersion

    public Map<String,String> PVDriversVersion

  version of the PV drivers

### PVDriversUpToDate

    public Boolean PVDriversUpToDate

  true if the PV drivers appear to be up to date

### memory

    public Map<String,String> memory

  free/used/total memory

### disks

    public Map<String,String> disks

  disk configuration/free space

### networks

    public Map<String,String> networks

  network configuration

### other

    public Map<String,String> other

  anything else

### lastUpdated

    public Date lastUpdated

  Time at which this information was last updated

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### live

    public Boolean live

  True if the guest is sending heartbeat messages via the guest agent

Constructor Detail

### VMGuestMetrics.Record

    public VMGuestMetrics.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VM_guest_metrics.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD